gRPC C#
gRPC C#
Namespaces
Grpc.Core
ChannelOption Class
ChannelOption Constructor
ChannelOption Properties
ChannelOption Methods

ChannelOption Class

Channel option specified when creating a channel. Corresponds to grpc_channel_args from grpc/grpc.h.
Inheritance Hierarchy
System
Object
Grpc.Core
ChannelOption

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public sealed class ChannelOption

    Public NotInheritable Class ChannelOption

    public ref class ChannelOption sealed

    [<SealedAttribute>]
    type ChannelOption =  class end

The ChannelOption type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ChannelOption(String, Int32) | Creates a channel option with an integer value.
| ChannelOption(String, String) | Creates a channel option with a string value.

Top
Properties

| Name | Description
--- | --- | ---
| IntValue | Gets the integer value the ChannelOption.
| Name | Gets the name of the ChannelOption.
| StringValue | Gets the string value the ChannelOption.
| Type | Gets the type of the ChannelOption.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace